from datetime import datetime
import time

def print_user_table(name, age, introduction):
    """以表格格式打印并保存用户信息"""
    current_time = datetime.now().strftime("%Y-%m-%d %H:%M:%S")
    
    # 构建表格内容
    table_header = "{:<20} {:<10} {:<10} {:<20}".format("时间", "姓名", "年龄", "简介")
    separator = "=" * 60
    table_rows = [
        "{:<20} {:<10} {:<10} {:<20}".format(current_time, name, int(age), introduction)
        for _ in range(1)
    ]
    summary = table_rows[0]  # 汇总信息使用第一条数据

    # 组合完整表格
    full_table = [
        table_header,
        separator,
        *table_rows,
        separator,
        summary
    ]

    # 打印表格
    print("\n".join(full_table))

    # 保存到文件（追加模式）
    with open("user_info.txt", "a", encoding="utf-8") as f:
        f.write("\n".join(full_table))
        f.write("\n\n")  # 添加空行分隔不同表格

if __name__ == "__main__":
    # 获取用户输入
    user_name = input("姓名: ")
    user_age = int(input("年龄: "))  # 改为整数输入
    user_intro = input("简介: ")

    # 生成n次表格
    for _ in range(1):
        print_user_table(user_name, user_age, user_intro)
